<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:clickable="true"
    android:layout_height="match_parent"
    android:hapticFeedbackEnabled="true"
    tools:context=".ui.home.HomeFragment">

    <ImageView
        android:id="@+id/Background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="#80FFFFFF"
        android:scaleType="centerCrop"
        android:src="@drawable/fog_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />


    <ImageView
        android:id="@drawable/backgroundoverlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-25dp"
        android:layout_marginLeft="-25dp"
        android:layout_marginTop="-25dp"
        android:layout_marginEnd="-25dp"
        android:layout_marginRight="-25dp"
        android:layout_marginBottom="-25dp"
        android:scaleType="centerCrop"
        android:src="@drawable/backgroundoverlay"
        app:layout_constraintBottom_toBottomOf="@+id/logoutButton"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toTopOf="@+id/text_home" />

    <ImageView
        android:id="@drawable/backgroundoverlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-25dp"
        android:layout_marginLeft="-25dp"
        android:layout_marginTop="-25dp"
        android:layout_marginEnd="-25dp"
        android:layout_marginRight="-25dp"
        android:layout_marginBottom="-25dp"
        android:scaleType="centerCrop"
        android:src="@drawable/backgroundoverlay"
        app:layout_constraintBottom_toBottomOf="@+id/textView7"
        app:layout_constraintEnd_toEndOf="@+id/wlan_aus"
        app:layout_constraintStart_toStartOf="@+id/wlan_an"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

    <TextView
        android:id="@+id/text_home"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="100dp"
        android:gravity="center_horizontal"
        android:text="@string/Welcome_to_your_HOMEAUTOMATION_APP"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/login_data"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:textAlignment="center"
        android:textColor="#00FF00"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/text_home" />

    <EditText
        android:id="@+id/ipInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:backgroundTint="@color/mtrl_btn_text_color_selector"
        android:ems="10"
        android:hint="@string/login_ipadresse"
        android:inputType="text"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textColorHint="@color/mtrl_btn_text_color_selector"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/login_data" />

    <EditText
        android:id="@+id/loginuserInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="@color/mtrl_btn_text_color_selector"
        android:ems="10"
        android:hint="@string/login_benutzername"
        android:inputType="textEmailAddress"
        android:singleLine="false"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textColorHint="@color/mtrl_btn_text_color_selector"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/ipInput" />

    <EditText
        android:id="@+id/loginpasswordInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="@color/mtrl_btn_text_color_selector"
        android:ems="10"
        android:hint="@string/login_passwort"
        android:inputType="textPassword"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textColorHint="@color/mtrl_btn_text_color_selector"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/loginuserInput" />

    <Button
        android:id="@+id/loginButton"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="25dp"
        android:background="@drawable/button_round"
        android:drawableLeft="@drawable/login_24px"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/login"
        app:backgroundTint="@null"
        app:layout_constraintStart_toStartOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/loginpasswordInput" />

    <Button
        android:id="@+id/logoutButton"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="25dp"
        android:background="@drawable/button_round"
        android:drawableRight="@drawable/logout_24px"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/logout"
        app:backgroundTint="@null"
        app:layout_constraintEnd_toEndOf="@+id/text_home"
        app:layout_constraintTop_toBottomOf="@+id/loginpasswordInput" />

    <Button
        android:id="@+id/wlan_aus"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginStart="5dp"
        android:layout_marginLeft="5dp"
        android:background="@drawable/button_right"
        android:drawableRight="@drawable/signal_wifi_off_24px"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/aus"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView5"
        app:layout_constraintStart_toEndOf="@+id/textView5"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

    <Button
        android:id="@+id/kodiaus"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginStart="5dp"
        android:layout_marginLeft="5dp"
        android:background="@drawable/button_right"
        android:drawableRight="@drawable/kodi_aus_1_"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/aus"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView7"
        app:layout_constraintStart_toEndOf="@+id/textView7"
        app:layout_constraintTop_toTopOf="@+id/textView7" />

    <Button
        android:id="@+id/wlan_an"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginEnd="5dp"
        android:layout_marginRight="5dp"
        android:background="@drawable/button_left"
        android:drawableLeft="@drawable/signal_wifi_statusbar_4_bar_24px"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/an"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView5"
        app:layout_constraintEnd_toStartOf="@+id/textView5"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

    <Button
        android:id="@+id/kodian"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginEnd="5dp"
        android:layout_marginRight="5dp"
        android:background="@drawable/button_left"
        android:drawableLeft="@drawable/kodi"
        android:drawableTint="@color/mtrl_btn_text_color_selector"
        android:hapticFeedbackEnabled="true"
        android:text="@string/an"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView7"
        app:layout_constraintEnd_toStartOf="@+id/textView7"
        app:layout_constraintTop_toTopOf="@+id/textView7" />

    <TextView
        android:id="@+id/textView5"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginTop="50dp"
        android:background="@drawable/button_middle"
        android:gravity="center"
        android:text="@string/wlan"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/textView7"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.485"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loginButton" />

    <TextView
        android:id="@+id/textView7"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginBottom="25dp"
        android:background="@drawable/button_middle"
        android:gravity="center"
        android:text="@string/kodi"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.485"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView5" />



</androidx.constraintlayout.widget.ConstraintLayout>

